Eclipse GEF 3.2

## org.eclipse.gef.requests
Class GroupRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.GroupRequest

Direct Known Subclasses:
  ChangeBoundsRequest

public class GroupRequest
extends Request

A Request from multiple EditParts.

Constructor Summary
`GroupRequest()` Default constructor.
`GroupRequest(Object type)` Creates a GroupRequest with the given type.

Method Summary
`List` `getEditParts()` Returns a List containing the EditParts making this Request.
`void` `setEditParts(EditPart part)` A helper method to set the given EditPart as the requester.
`void` `setEditParts(List list)` Sets the EditParts making this Request to the given List.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupRequest

    public GroupRequest(Object type)

  Creates a GroupRequest with the given type.

Parameters:
  `type` - The type of Request.

### GroupRequest

    public GroupRequest()

  Default constructor.

Method Detail

### getEditParts

    public List getEditParts()

  Returns a List containing the EditParts making this Request.

  Returns:
    A List containing the EditParts making this Request.

### setEditParts

    public void setEditParts(List list)

  Sets the EditParts making this Request to the given List.

  Parameters:
    `list` - The List of EditParts.

### setEditParts

    public void setEditParts(EditPart part)

  A helper method to set the given EditPart as the requester.

  Parameters:
    `part` - The EditPart making the request.

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.